Download it now!
Bug 71790 - PDF: Use of dotted paragraph border makes exported PDF files huge
Summary: PDF: Use of dotted paragraph border makes exported PDF files huge
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA Confirmed:4.2.0.1:Ubuntu
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2013-11-19 14:20 UTC by tobias
Modified: 2018-10-26 14:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example document to export to PDF (8.10 KB, application/vnd.oasis.opendocument.text)
2013-11-19 14:20 UTC, tobias
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tobias 2013-11-19 14:20:16 UTC
Created attachment 89469 [details]
Example document to export to PDF

Problem description: 

Paragraphs with a dotted border makes exported PDF files huge.  If I print to file with a postscript printer, the postscript file also becomes huge.

Steps to reproduce:
1. Export the attached dotted-border-bug.odt to PDF.

Current behavior:

The PDF file becomes 13 MB.  If I zoom in on the PDF file, I see that there are a lot more dots in the borders compared to how it looks in Writer.

Expected behavior:

The PDF file should be kilobytes, not megabytes.  If I create lots of boxes in Draw using a dotted border, the PDF file stays small.
Operating System: Fedora
Version: 4.1.3.2 release
Comment 1 Dominique Boutry 2013-11-21 09:47:13 UTC
Reproducted with the same LibO version 4.1.2.3 on Win7.

Other findings :
- If I zoom both files (ODT and PDF), I can see approx. the same number of dots (hard to count...)
- the width is somewhat large (1pt), with a dotted line (not dashed one). In this case, I expect that the distance between the points grow of the same proportion than the width, so that the points remain roughly circulars ; Both in ODT and PDF we can see a opposite choice.
- could PDF, attempting to exactly mimic Writer, results in the huge size (individual drawing command for each dot) ?
Comment 2 Robinson Tryon (qubit) 2013-12-22 15:49:39 UTC
CONFIRMED on Ubuntu 12.04.3 with
LibreOffice Version: 4.2.0.1

(In reply to comment #0)
> Steps to reproduce:
> 1. Export the attached dotted-border-bug.odt to PDF.
> 
> Current behavior:
> 
> The PDF file becomes 13 MB.  If I zoom in on the PDF file, I see that there
> are a lot more dots in the borders compared to how it looks in Writer.

Using Document Viewer 3.4.0 (Using poppler/cairo (0.18.4)), I see many more dots in the PDF vs. in LO.

Status: NEW
Comment 3 QA Administrators 2015-04-19 03:21:54 UTC Comment hidden (obsolete)
Comment 4 Gordo 2015-06-11 19:05:28 UTC
Still reproducible.  Although the file size has come down to about 4 MB.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

Master took maybe 20 or 30 seconds to export.  If you do not be patient and click on the window you can get the "not responding" state.

Version: 5.1.0.0.alpha1+
Build ID: 5fc0cbbc1254223fedf0f78c5e7539219b228697
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-11_04:30:51
Comment 5 QA Administrators 2016-09-20 10:00:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920